## com.imcode.imcms.servlet
Class DocumentFinder

    java.lang.Object
      com.imcode.imcms.servlet.WebComponent
          com.imcode.imcms.servlet.DocumentFinder

All Implemented Interfaces:
  java.io.Serializable

    public class DocumentFinder

extends WebComponent

See Also:
  Serialized Form

Nested Class Summary
`static interface` `DocumentFinder.SearchResultColumn`

Constructor Summary
`DocumentFinder()`
`DocumentFinder(DocumentFinderPage page)`

Method Summary
`void` `addExtraSearchResultColumn(DocumentFinder.SearchResultColumn searchResultColumn)`
`void` `dispatchReturn(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`DocumentFinder.SearchResultColumn[]` `getExtraSearchResultColumns()`
`boolean` `isDocumentsSelectable()`
`org.apache.lucene.search.Query` `parse(java.lang.String queryString)`
`void` `selectDocument(DocumentDomainObject selectedDocument)`
`void` `setDocumentComparator(java.util.Comparator documentComparator)`
`void` `setLogged(boolean logged)`
`void` `setQueryParser(QueryParser queryParser)`
`void` `setRestrictingQuery(org.apache.lucene.search.Query restrictingQuery)`
`void` `setSelectDocumentCommand(Handler<java.lang.Integer> selectDocumentCommand)`

Methods inherited from class com.imcode.imcms.servlet.WebComponent
`cancel, isCancelable, setCancelCommand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentFinder

    public DocumentFinder()

### DocumentFinder

    public DocumentFinder(DocumentFinderPage page)

Method Detail

### selectDocument

    public void selectDocument(DocumentDomainObject selectedDocument)
                        throws java.io.IOException,
                               javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### isDocumentsSelectable

    public boolean isDocumentsSelectable()

### setSelectDocumentCommand

    public void setSelectDocumentCommand(Handler<java.lang.Integer> selectDocumentCommand)

### setRestrictingQuery

    public void setRestrictingQuery(org.apache.lucene.search.Query restrictingQuery)

### setQueryParser

    public void setQueryParser(QueryParser queryParser)

### parse

    public org.apache.lucene.search.Query parse(java.lang.String queryString)
                                         throws org.apache.lucene.queryParser.ParseException

  Throws:
    `org.apache.lucene.queryParser.ParseException`

### addExtraSearchResultColumn

    public void addExtraSearchResultColumn(DocumentFinder.SearchResultColumn searchResultColumn)

### getExtraSearchResultColumns

    public DocumentFinder.SearchResultColumn[] getExtraSearchResultColumns()

### setDocumentComparator

    public void setDocumentComparator(java.util.Comparator documentComparator)

### dispatchReturn

    public void dispatchReturn(javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)
                        throws java.io.IOException,
                               javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### setLogged

    public void setLogged(boolean logged)